### Eclipse Workspace Patch 1.0
#P Spark
Index: build/build.xml
===================================================================
--- build/build.xml	(revision 10961)
+++ build/build.xml	(working copy)
@@ -47,6 +47,7 @@
     <description>Spark Build</description>
     <!--set global properties for this build-->
     <property name="src" location="${basedir}/src/java"/>
+	<property name="patch.dir" location="${basedir}/patches/"/>
     <property name="lib.dir" location="${basedir}/build/lib"/>
     <property name="dist.libs.dir" location="${basedir}/build/lib/dist"/>
     <property name="merge.libs.dir" location="${basedir}/build/lib/merge"/>
@@ -160,6 +161,18 @@
         <mkdir dir="${target.xtra}"/>
 
     </target>
+	
+	<!-- patch =================================================================================== -->
+	<target name="patch">
+		<for param="patch">
+			<path>
+				<fileset dir="${patch.dir}" includes="*.patch" />
+			</path>
+			<sequential>
+				<patch patchfile="@{patch}" dir="${basedir}/src" strip="1"/>	
+			</sequential>			
+		</for>		  
+	</target>
 
     <!-- resources =================================================================================== -->
     <target name="resources">
@@ -197,7 +210,7 @@
     </target>
 
     <!-- build =================================================================================== -->
-    <target name="build" depends="init, resources, base">
+    <target name="build" depends="init, patch, resources, base">
         <!--Compiles the java code from ${src} directory into ${classes} directory-->
         <javac destdir="${classes}"
                debug="on"
